#!/bin/bash -e
#
# $Id: build-updates.sh 16157 2019-07-12 01:38:41Z NiLuJe $
#

HACKNAME="crp"
HACKDIR="CowardsRescuePack"
PKGNAME="${HACKNAME}"
PKGVER="3.N"

# Setup KindleTool packaging metadata flags to avoid cluttering the invocations
PKGREV="$(svnversion -c .. | awk '{print $NF}' FS=':' | tr -d 'P')"
KT_PM_FLAGS=( "-xPackageName=${HACKDIR}" "-xPackageVersion=${PKGVER}-r${PKGREV}" "-xPackageAuthor=dsmid, NiLuJe" "-xPackageMaintainer=NiLuJe" "-X" )

# We need kindletool (https://github.com/NiLuJe/KindleTool) in $PATH
if (( $(kindletool version | wc -l) == 1 )) ; then
	HAS_KINDLETOOL="true"
fi

if [[ "${HAS_KINDLETOOL}" != "true" ]] ; then
	echo "You need KindleTool (https://github.com/NiLuJe/KindleTool) to build this package."
	exit 1
fi

# Pickup our common stuff... We leave it in our staging wd so it ends up in the source package.
if [[ ! -d "../../Common" ]] ; then
        echo "The tree isn't checked out in full, missing the Common directory..."
        exit 1
fi
# LibOTAUtils 5
ln -f ../../Common/lib/libotautils5 ../src/install/libotautils5
ln -f ../../Common/lib/libotautils5 ../src/uninstall/libotautils5


## NOTE: Doesn't work on the Touch, for some strange reason... Bundle it anyway, since it works when called manually, later in the boot process...
##       And obviously stop at Zelda, because no diags anymore ;'(
# Install
kindletool create ota2 "${KT_PM_FLAGS[@]}" -d touch -d paperwhite -d paperwhite2 -d basic -d voyage -d paperwhite3 -d oasis -d basic2 -C ../src/install  Update_${PKGNAME}_${PKGVER}_install.bin
# Uninstall
kindletool create ota2 "${KT_PM_FLAGS[@]}" -d touch -d paperwhite -d paperwhite2 -d basic -d voyage -d paperwhite3 -d oasis -d basic2 -C ../src/uninstall Update_${PKGNAME}_${PKGVER}_uninstall.bin


## Move our updates
mv -f *.bin ../
